version: '3.7'

services:
  gcs-rotator:
    build:
      context: .
      dockerfile: runner.docker
    container_name: gcs-rotator
    image: gcs-rotator
    init: true
    restart: always
    environment:
      - PROXY_IP=100.109.109.54
      - PUB_PORT=14789
      - SUB_PORT=14790
      - SERIAL_PORT=/dev/ttyUSB0
    privileged: true
